Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfTextAlignType

    java.lang.Object
      java.lang.Enum<OdfTextAlignType>
          org.odftoolkit.odfdom.dom.type.fo.OdfTextAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextAlignType>

    public enum OdfTextAlignType

extends Enum<OdfTextAlignType>

DOM implementation of OpenDocument attribute fo:text-align.

Enum Constant Summary
`CENTER`
`END`
`JUSTIFY`
`LEFT`
`RIGHT`
`START`

Method Summary
`static OdfTextAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### END

    public static final OdfTextAlignType END

### RIGHT

    public static final OdfTextAlignType RIGHT

### LEFT

    public static final OdfTextAlignType LEFT

### JUSTIFY

    public static final OdfTextAlignType JUSTIFY

### START

    public static final OdfTextAlignType START

### CENTER

    public static final OdfTextAlignType CENTER

Method Detail

### values

    public static OdfTextAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextAlignType c : OdfTextAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextAlignType>`
  Returns:
    return the name of OdfTextAlignType

### toString

    public static String toString(OdfTextAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextAlignType, see fo:text-align
  Returns:
    return the name of OdfTextAlignType

### enumValueOf

    public static OdfTextAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextAlignType
  Returns:
    return the constant of OdfTextAlignType, see fo:text-align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.